Open CASCADE Technology: NCollection_BaseList::Iterator Class Reference

Open CASCADE Technology 6.9.1

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions | Data Fields | Protected Member Functions
NCollection_BaseList::Iterator Class Reference

Memory allocation. More...

`#include <NCollection_BaseList.hxx>`

Inheritance diagram for NCollection_BaseList::Iterator:
[legend]

## Public Member Functions
| Iterator (void)
| Iterator (const NCollection_BaseList &theList)
void | Init (const NCollection_BaseList &theList)
void | Initialize (const NCollection_BaseList &theList)
Standard_Boolean | More (void) const
Iterator & | operator= (const Iterator &theIt)
Standard_Boolean | operator== (const Iterator &theIt) const
Standard_Boolean | IsEqual (const Iterator &theOther) const
| Performs comparison of two iterators. More...

## Data Fields
NCollection_ListNode * | myCurrent
NCollection_ListNode * | myPrevious

## Protected Member Functions
void | Init (const NCollection_BaseList &theList, NCollection_ListNode *const thePrev)

## Detailed Description

Memory allocation.

## Constructor & Destructor Documentation

NCollection_BaseList::Iterator::Iterator | ( | void |  | ) |
| inline

NCollection_BaseList::Iterator::Iterator | ( | const NCollection_BaseList & | theList | ) |
| inline

## Member Function Documentation

void NCollection_BaseList::Iterator::Init | ( | const NCollection_BaseList & | theList | ) |
| inline

void NCollection_BaseList::Iterator::Init | ( | const NCollection_BaseList & | theList,
|  | NCollection_ListNode *const | thePrev
| ) |  |
| inlineprotected

void NCollection_BaseList::Iterator::Initialize | ( | const NCollection_BaseList & | theList | ) |
| inline

Standard_Boolean NCollection_BaseList::Iterator::IsEqual | ( | const Iterator & | theOther | ) | const
| inline

Performs comparison of two iterators.

Standard_Boolean NCollection_BaseList::Iterator::More | ( | void |  | ) | const
| inline

Iterator& NCollection_BaseList::Iterator::operator= | ( | const Iterator & | theIt | ) |
| inline

Standard_Boolean NCollection_BaseList::Iterator::operator== | ( | const Iterator & | theIt | ) | const
| inline

## Field Documentation

NCollection_ListNode* NCollection_BaseList::Iterator::myCurrent

NCollection_ListNode* NCollection_BaseList::Iterator::myPrevious

The documentation for this class was generated from the following file:

- NCollection_BaseList.hxx